WordPress.org

Ready to get started?Download WordPress

Forums

[resolved] WP 2.2 too greedy ? (7 posts)

  1. ilbliege
    Member
    Posted 7 years ago #

    I recently upgraded to 2.2 .
    It worked, but, I got the following message :

    ---------------------------
    Fatal error: Allowed memory size of 8388608 bytes exhausted (tried to allocate 46080 bytes) in /home/mypath/mysite/wp-includes/class-snoopy.php on line 1242upgraded to 2.2 .
    -----------------

    MichaelH advised me to ask my host for more memory...

    I was told that with a mutualized hosting, the memory available for PHP was limited to 8Mo, and either to adapt the script (or to segment the script if possible) or to choice a VDS hosting ...

    You know, my host is a good host and my WordPress site is a hobby site. So I don't want to increase the cost of this website. And so, I have just downgraded to WP 2.1.

    I think it would be a pity if WordPress users had to use more and more expensive hosting.
    And I am not the only one to have this problem !

    Do you think a blog has to require an expensive hosting ?

    Would it be possible that the WP community take this fact into consideration, and improve the script in a next version in order to reduce the needed PHP memory?

    I also know you did,do and will do a great job and so I want to congratulate you for that...

    Christian

  2. Chris_K
    Member
    Posted 7 years ago #

    How many plugins are you running?

  3. ilbliege
    Member
    Posted 7 years ago #

    Askimet, WP-Sticky,WP-UserOnline,WordPress Database Backup,Search Pages,Search Meter,Google Analyticator,Exec-PHP,Event Calendar .

  4. Chris_K
    Member
    Posted 7 years ago #

    As plugins use memory (against your 8MB cap), you might experiment a bit with disabling one or two of them and see if that gets you back under the cap.

  5. ilbliege
    Member
    Posted 7 years ago #

    I disabled some plugins of poor interest.
    It works now.
    But I am afraid of the next version ....

  6. MysterHK
    Member
    Posted 7 years ago #

    HandySolo,

    By any chance, if ilbliege, was running a php accelerater (i.e., eAccelerator or Zend), would it help in his/her situation with the resource limits?

    More important question, if you were running wordpress with a php accelerator, does wordpress recognize this and makes use of it? If not, are there any plans on any future releases of wordpress to incorporate such a feature if the server was running a php accelerator?

  7. Samuel Wood (Otto)
    Tech Ninja
    Posted 7 years ago #

    PHP Accelerators are transparent to the PHP code. WordPress needs no changes to make use of such a thing.

Topic Closed

This topic has been closed to new replies.

About this Topic

Tags

No tags yet.